> ## Documentation Index
> Fetch the complete documentation index at: https://docs.igamingace.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Game List

使用此接口，可从指定供应商获取您运营商账户下可用的全部游戏。响应包含游戏代码（用于启动游戏）、显示名称、缩略图 URL、游戏类型以及维护状态。您可用这些数据填充游戏大厅 UI，并按类型或可用性筛选或标注游戏。

## Request

```bash theme={null}
GET /v1/gamelist/:providerId
```

### Headers

| Name            | Value                |
| :-------------- | :------------------- |
| `Authorization` | `Bearer <API_TOKEN>` |
| `Content-Type`  | `application/json`   |
| `Accept`        | `application/json`   |

### Path Parameters

<ParamField path="providerId" type="number" required>
  要获取其游戏目录的供应商唯一标识符。有效的供应商 ID 列表可从 [List Providers](https://docs.igamingace.com/zh/mainapi/provider-list) 获取。

  ### Parameters

  <ParamField path="language" default="EN" type="string">
    系统会根据此值返回本地化的 `gameName`（以及 PG Soft 的 `gameImage`）。此参数并非必需；如果忽略，则默认值为“EN”。可用值为“EN”、“CN”和不区分大小写的版本。
  </ParamField>
</ParamField>

## Example Request

```bash theme={null}
curl --request GET \
  --url "https://api.igamingace.com/v1/gamelist/1" \
  --header "Authorization: Bearer <API_TOKEN>" \
  --header "Accept: application/json" \
  --header "Content-Type: application/json"
```

## Response

### Example Response

```json theme={null}
{
  "success": true,
  "message": "OK",
  "data": [
    {
      "gameID": 644,
      "gameName": "Launch to Riches",
	  "gameSymbol": "vswaysrocktrls",
      "gameImage": "https://statics.igamingace.com/images/vswaysrocktrls.png",
	  "freeBonusMeta": {
			"betUnit": 0.2,
			"maxMultiple": 1250
	   },
	  "publishDate": "2026-04-29"
    }
  ]
}
```

### Response Fields

<ResponseField name="success" type="bool">
  指示 API 调用是否成功。
</ResponseField>

<ResponseField name="message" type="string">
  API 调用结果的文本确认（例如 `"OK"`）。
</ResponseField>

<ResponseField name="data" type="array">
  指定供应商下可用游戏对象的数组。

  <Expandable title="data[]">
    <ResponseField name="gameID" type="string">
      游戏的唯一标识符（game id）。调用 [Launch Game](https://docs.igamingace.com/zh/api-reference/games/game-launch) 时，请将此值作为 `gameId` 传入。
    </ResponseField>

    <ResponseField name="gameName" type="string">
      适合用于大厅 UI 的游戏显示名称。
    </ResponseField>

    <ResponseField name="gameSymbol" type="string">
      唯一的游戏符号字符串。
    </ResponseField>

    <ResponseField name="gameImage" type="string">
      游戏缩略图的 URL。
    </ResponseField>

    <ResponseField name="freeBonusMeta" type="object">
      用于奖金调用（免费游戏）。创建免费游戏时，运营商应指定免费游戏的基础投注金额，该金额应为 “betUnit” 的倍数，且应小于 “maxMultiple”。
    </ResponseField>

    <ResponseField name="publishDate" type="string">
      游戏发布日期。
    </ResponseField>
  </Expandable>
</ResponseField>
